[P043]Abstract (Translated)

get
https://connect.patsnap.com/basic-patent-data/abstract-data-translated
Try in Sandbox

Receive patent translated title and abstract by patent_id or patent_number (support Chinese, English, Japanese).

The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
lang
stringen
translation language, support cn, en, jp
patent_id
string1a47a70d-6b54-4709-a72a-ed552781fcac,7353c607-0594-4592-b99e-aea9f517de17
patent_id
patent_number
stringCN101595528B
patent_number
replace_by_related
integer<int32>0
When the abstract of current patent is unavailable, whether to replace it with the abstract of its family patent?default not to replace: 1. Yes 0: No

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
pn
stringUS11205304B2
patent number
title
stringMemory device architectures and operation
translated title
abstract
stringNon- volatile memory devices (100, 610) logically organized to have erase blocks of at least two different sizes provide for concurrent erasure of multiple physical blocks (340) of memory cells (208, 308), while providing for individual selection of those physical blocks (340) for read and program operations, hi this manner, data expected to require frequent updating can be stored in locations corresponding to first erase blocks having a first size while data expected to require relatively infrequent updating can be stored in locations corresponding to second erase blocks larger than the first erase blocks.
translated abstract
patent_id
string718ead9c-4f3c-4674-8f5a-24e126827269
patent id
pn_related
stringCN103106923A
patent number of related patent (provided only if the substitute is made using the text of the same family patent)
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "pn": "US11205304B2",
      "title": "Memory device architectures and operation",
      "abstract": "Non- volatile memory devices (100, 610) logically organized to have erase blocks of at least two different sizes provide for concurrent erasure of multiple physical blocks (340) of memory cells (208, 308), while providing for individual selection of those physical blocks (340) for read and program operations, hi this manner, data expected to require frequent updating can be stored in locations corresponding to first erase blocks having a first size while data expected to require relatively infrequent updating can be stored in locations corresponding to second erase blocks larger than the first erase blocks.",
      "patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
      "pn_related": "CN103106923A"
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!
67200007Exceeded the call limit, call failed!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms